OpenSSL 1.0.1/1.0.2 SRP Server resource management

entryeditHistoryDiffjsonxmlCTI
CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
7.5$0-$5k0.00

A vulnerability was found in OpenSSL 1.0.1/1.0.2 (Network Encryption Software). It has been rated as critical. This issue affects some unknown processing of the component SRP Server. The manipulation with an unknown input leads to a denial of service vulnerability. Using CWE to declare the problem leads to CWE-399. Impacted is availability.

The weakness was presented 03/01/2016 as 20160301.txt as confirmed advisory (Website). It is possible to read the advisory at openssl.org. The identification of this vulnerability is CVE-2016-0798 since 12/16/2015. The exploitation is known to be difficult. The attack may be initiated remotely. No form of authentication is needed for a successful exploitation. The technical details are unknown and an exploit is not publicly available.

The vulnerability scanner Nessus provides a plugin with the ID 89061 (Debian DSA-3500-1 : openssl - security update), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Debian Local Security Checks and running in the context local. The commercial vulnerability scanner Qualys is able to test this issue with plugin 124883 (Oracle Solaris 10 Multiple Vulnerabilities (Third Party Bulletin - April 2016)).

Upgrading eliminates this vulnerability. A possible mitigation has been published immediately after the disclosure of the vulnerability.

The vulnerability is also documented in the databases at SecurityFocus (BID 83705), X-Force (111141), Vulnerability Center (SBV-57005) and Tenable (89061). See 76874, 81112, 81133 and 81138 for similar entries.

Productinfoedit

Type

Name

CPE 2.3infoedit

CPE 2.2infoedit

CVSSv3infoedit

VulDB Meta Base Score: 8.7
VulDB Meta Temp Score: 7.5

VulDB Base Score: 9.8
VulDB Temp Score: 8.5
VulDB Vector: 🔍
VulDB Reliability: 🔍

NVD Base Score: 7.5
NVD Vector: 🔍

CVSSv2infoedit

AVACAuCIA
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
🔍🔍🔍🔍🔍🔍
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfoedit

Class: Denial of service
CWE: CWE-399
ATT&CK: Unknown

Local: No
Remote: Yes

Availability: 🔍
Status: Unproven

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 89061
Nessus Name: Debian DSA-3500-1 : openssl - security update
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Context: 🔍

OpenVAS ID: 12024
OpenVAS Name: Mageia Linux Local Check: mgasa-2016-0093
OpenVAS File: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Name: 🔍

Threat Intelligenceinfoedit

Threat: 🔍
Adversaries: 🔍
Geopolitics: 🔍
Economy: 🔍
Predictions: 🔍
Remediation: 🔍

Countermeasuresinfoedit

Recommended: Upgrade
Status: 🔍

Reaction Time: 🔍
0-Day Time: 🔍
Exposure Time: 🔍

Timelineinfoedit

12/16/2015 🔍
02/23/2016 +69 days 🔍
03/01/2016 +6 days 🔍
03/01/2016 +0 days 🔍
03/01/2016 +0 days 🔍
03/01/2016 +0 days 🔍
03/03/2016 +1 days 🔍
03/03/2016 +0 days 🔍
03/05/2016 +2 days 🔍
02/13/2017 +345 days 🔍
09/01/2018 +564 days 🔍

Sourcesinfoedit

Product: https://www.openssl.org/

Advisory: 20160301.txt
Status: Confirmed
Confirmation: 🔍

CVE: CVE-2016-0798 (🔍)
OVAL: 🔍

SecurityFocus: 83705 - OpenSSL CVE-2016-0798 Memory Leak Denial of Service Vulnerability
X-Force: 111141 - OpenSSL SRP server denial of service
Vulnerability Center: 57005 - OpenSSL Remote Information Disclosure via SRP Database Lookups - CVE-2016-0798, Medium

See also: 🔍

Entryinfoedit

Created: 03/03/2016 10:44 AM
Updated: 09/01/2018 08:40 AM
Changes: (18) vulnerability_cvss2_nvd_av vulnerability_cvss2_nvd_ac vulnerability_cvss2_nvd_au vulnerability_cvss2_nvd_ci vulnerability_cvss2_nvd_ii vulnerability_cvss2_nvd_ai vulnerability_cvss3_vuldb_av vulnerability_cvss3_vuldb_ac vulnerability_cvss3_vuldb_pr vulnerability_cvss3_vuldb_ui vulnerability_cvss3_vuldb_s vulnerability_cvss3_vuldb_c vulnerability_cvss3_vuldb_i vulnerability_cvss3_vuldb_a advisory_confirm_url source_oval_id source_securityfocus_date source_securityfocus_class
Complete: 🔍

Comments

No comments yet. Please log in to comment.

Do you want to use VulDB in your project?

Use the official API to access entries easily!